API Documentation

Automate temporary email generation and reading with our REST API.

Authentication

Include your API key in the `X-API-Key` header for all protected requests.

curl -H "X-API-Key: your_api_key_here" https://api.inboxy.one/v1/domains

Endpoints

GET /v1/domains

Get a list of available active domains to generate emails with.

[
  {
    "domain_name": "inboxy.one"
  }
]

cURL Example

curl -X GET https://api.inboxy.one/v1/domains \
  -H "X-API-Key: YOUR_API_KEY"
GET /v1/mailbox/{address}

List all emails received at a specific address (e.g. `test@inboxy.one`).

[
  {
    "id": "123456",
    "from": "sender@example.com",
    "subject": "Verification Code",
    "date": "2026-06-14T10:00:00Z"
  }
]

Python Example

import requests

url = "https://api.inboxy.one/v1/mailbox/test@inboxy.one"
headers = {"X-API-Key": "YOUR_API_KEY"}
response = requests.get(url, headers=headers)
print(response.json())
GET /v1/mailbox/{address}/{id}

Get the full HTML and text content of a specific email message.

cURL Example

curl -X GET https://api.inboxy.one/v1/mailbox/test@inboxy.one/123456 \
  -H "X-API-Key: YOUR_API_KEY"
DELETE /v1/mailbox/{address}/{id}

Delete a specific email message.